import Head from "next/head";
import CartTable from "../../components/cart/cartTable";
import Layout from "../../components/layout";
import xantiayadakAPI from "../../apis/xantiayadak";

const Cart = (props) => {
  return (
    <>
    <Head>
        <title>سبد خرید | فروشگاه اینترنتی زانتیا یدک</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/xantia-logo-svg-vector.svg" />
      </Head>
      <Layout categories={props.categories}>
        <div>
          <CartTable />
        </div>
      </Layout>
    </>
  );
};

export const getStaticProps = async () => {
  const megaMenuCategories = await xantiayadakAPI.get(
    "/product-categories/navbar-menu"
  );
  return {
    props: {
      categories: megaMenuCategories.data.data.map((category) => ({
        category,
      })),
    },
    revalidate: 1 * 5,
  };
};

export default Cart;
